Bug 229067 - [RHEL3] evolution crashing with corba errors
[RHEL3] evolution crashing with corba errors
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: evolution (Show other bugs)
3.8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-16 14:38 EST by John Curcio
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 10:41:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Curcio 2007-02-16 14:38:25 EST
(This bug report was generated by Bug Buddy 2.2.106) Description of Problem:
Attempting to set-up evolution, I now get bombarded with errors talking about
CORBA errors. In the end, evolutions failes to complete set-up and aborts


Steps to reproduce the problem:
1. rm -r /tmp/orbit-<user_name>
2. cd <user_acct>;rm -r evolution*
3. evolution

Actual Results:


Expected Results:


How often does this happen?
Everytime for a given user. Other users have no problem on same machine


Additional Information:
Have also attempted deleting gconf directory, but to no avail.



Debugging Information:

Backtrace was generated from './evolution'

(no debugging symbols found)
Using host libthread_db library "/lib/tls/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled] [New Thread 1073879520 (LWP 8163)]
[New Thread 25164720 (LWP 8379)] [New Thread 23063472 (LWP 8376)]
0x00a599f1 in __waitpid_nocancel () from /lib/tls/libpthread.so.0 #0  0x00a599f1
in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#1  0x0062835a in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#2  <signal handler called>
#3  0x047abeff in raise () from /lib/tls/libc.so.6
#4  0x047ad705 in abort () from /lib/tls/libc.so.6
#5  0x00568d38 in g_logv () from /usr/lib/libglib-2.0.so.0
#6  0x00568d74 in g_log () from /usr/lib/libglib-2.0.so.0
#7  0x00211cd7 in gtk_html_request_paste () from
/usr/lib/libgtkhtml-3.0.so.2
#8  0x002135d5 in gtk_html_request_paste () from
/usr/lib/libgtkhtml-3.0.so.2
#9  0x002140f6 in gtk_html_new () from /usr/lib/libgtkhtml-3.0.so.2 #10
0x00a6a8eb in e_summary_redraw_all ()
   from
/usr/lib/evolution/1.4/components/libevolution-executive-summary.so
#11 0x00409257 in g_type_create_instance () from /usr/lib/libgobject-2.0.so.0
#12 0x003f50cf in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#13 0x003f48fd in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#14 0x003f5051 in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#15 0x003f46bd in g_object_new () from /usr/lib/libgobject-2.0.so.0
#16 0x039a673f in gtk_type_new () from /usr/lib/libgtk-x11-2.0.so.0
#17 0x00a6abb0 in e_summary_new ()
   from
/usr/lib/evolution/1.4/components/libevolution-executive-summary.so
#18 0x00a6d185 in e_summary_factory_new_control ()
   from
/usr/lib/evolution/1.4/components/libevolution-executive-summary.so
#19 0x00a69621 in GNOME_Evolution_MailFilter_removeFilter ()
   from
/usr/lib/evolution/1.4/components/libevolution-executive-summary.so
#20 0x001dddfa in evolution_shell_component_client_get_type ()
   from /usr/lib/evolution/1.4/libeshell.so.0
#21 0x001ce6dc in GNOME_Evolution_ShellComponent_createView ()
   from /usr/lib/evolution/1.4/libeshell.so.0
#22 0x08085628 in e_shell_view_get_corba_interface ()
#23 0x080858a9 in e_shell_view_get_corba_interface ()
#24 0x08085ce5 in e_shell_view_get_corba_interface ()
#25 0x08085eb7 in e_shell_view_display_uri ()
#26 0x080845bd in e_shell_view_construct ()
#27 0x08084787 in e_shell_view_new ()
#28 0x08088d4f in e_shell_view_get_type ()
#29 0x08089ad2 in e_shell_create_view () #30 0x0809dae6 in
evolution_storage_set_view_factory_new_view ()
#31 0x00563873 in g_timeout_add () from /usr/lib/libglib-2.0.so.0
#32 0x00560c30 in unblock_source () from /usr/lib/libglib-2.0.so.0
#33 0x00561c98 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#34 0x00561fad in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#35 0x005626cf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#36 0x008f8348 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#37 0x0809e06b in main ()

Thread 3 (Thread 23063472 (LWP 8376)):
#0  0x00a563ad in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0x00f9b11c in e_msgport_wait () from /usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#2  0x00f9b9ea in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x00a53dd8 in start_thread () from /lib/tls/libpthread.so.0 No symbol table
info available.
#4  0x04860d1a in clone () from /lib/tls/libc.so.6 No symbol table info available.

Thread 2 (Thread 25164720 (LWP 8379)):
#0  0x00a563ad in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#1  0x00f9b11c in e_msgport_wait () from /usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#2  0x00f9b9ea in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x00a53dd8 in start_thread () from /lib/tls/libpthread.so.0 No symbol table
info available.
#4  0x04860d1a in clone () from /lib/tls/libc.so.6 No symbol table info available.

Thread 1 (Thread 1073879520 (LWP 8163)):
#0  0x00a599f1 in __waitpid_nocancel () from /lib/tls/libpthread.so.0 No symbol
table info available.
#1  0x0062835a in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x047abeff in raise () from /lib/tls/libc.so.6 No symbol table info available.
#4  0x047ad705 in abort () from /lib/tls/libc.so.6 No symbol table info available.
#5  0x00568d38 in g_logv () from /usr/lib/libglib-2.0.so.0 No symbol table info
available.
#6  0x00568d74 in g_log () from /usr/lib/libglib-2.0.so.0 No symbol table info
available.
#7  0x00211cd7 in gtk_html_request_paste () from
/usr/lib/libgtkhtml-3.0.so.2
No symbol table info available.
#8  0x002135d5 in gtk_html_request_paste () from
/usr/lib/libgtkhtml-3.0.so.2
No symbol table info available.
#9  0x002140f6 in gtk_html_new () from /usr/lib/libgtkhtml-3.0.so.2 No symbol
table info available.
#10 0x00a6a8eb in e_summary_redraw_all ()
   from
/usr/lib/evolution/1.4/components/libevolution-executive-summary.so
No symbol table info available.
#11 0x00409257 in g_type_create_instance () from /usr/lib/libgobject-2.0.so.0 No
symbol table info available.
#12 0x003f50cf in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0 No
symbol table info available.
#13 0x003f48fd in g_object_newv () from /usr/lib/libgobject-2.0.so.0 No symbol
table info available.
#14 0x003f5051 in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0 No
symbol table info available.
#15 0x003f46bd in g_object_new () from /usr/lib/libgobject-2.0.so.0 No symbol
table info available.
#16 0x039a673f in gtk_type_new () from /usr/lib/libgtk-x11-2.0.so.0 No symbol
table info available.
#17 0x00a6abb0 in e_summary_new ()
   from
/usr/lib/evolution/1.4/components/libevolution-executive-summary.so
No symbol table info available.
#18 0x00a6d185 in e_summary_factory_new_control ()
   from
/usr/lib/evolution/1.4/components/libevolution-executive-summary.so
No symbol table info available.
#19 0x00a69621 in GNOME_Evolution_MailFilter_removeFilter ()
   from
/usr/lib/evolution/1.4/components/libevolution-executive-summary.so
No symbol table info available.
#20 0x001dddfa in evolution_shell_component_client_get_type ()
   from /usr/lib/evolution/1.4/libeshell.so.0
No symbol table info available.
#21 0x001ce6dc in GNOME_Evolution_ShellComponent_createView ()
   from /usr/lib/evolution/1.4/libeshell.so.0
No symbol table info available.
#22 0x08085628 in e_shell_view_get_corba_interface () No symbol table info
available.
#23 0x080858a9 in e_shell_view_get_corba_interface () No symbol table info
available.
#24 0x08085ce5 in e_shell_view_get_corba_interface () No symbol table info
available.
#25 0x08085eb7 in e_shell_view_display_uri () No symbol table info available.
#26 0x080845bd in e_shell_view_construct () No symbol table info available.
#27 0x08084787 in e_shell_view_new ()
No symbol table info available.
#28 0x08088d4f in e_shell_view_get_type () No symbol table info available.
#29 0x08089ad2 in e_shell_create_view () No symbol table info available.
#30 0x0809dae6 in evolution_storage_set_view_factory_new_view () No symbol table
info available.
#31 0x00563873 in g_timeout_add () from /usr/lib/libglib-2.0.so.0 No symbol
table info available.
#32 0x00560c30 in unblock_source () from /usr/lib/libglib-2.0.so.0 No symbol
table info available.
#33 0x00561c98 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0 No
symbol table info available.
#34 0x00561fad in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0 No
symbol table info available.
#35 0x005626cf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0 No symbol
table info available.
#36 0x008f8348 in bonobo_main () from /usr/lib/libbonobo-2.so.0 No symbol table
info available.
#37 0x0809e06b in main ()
No symbol table info available.
Comment 2 RHEL Product and Program Management 2007-10-03 10:41:53 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.